### Method

# Gtk ColumnViewSorterget_nth_sort_column

since: 4.10

#### Declaration [src]

    GtkColumnViewColumn*
    gtk_column_view_sorter_get_nth_sort_column (
      GtkColumnViewSorter* self,
      guint position,
      GtkSortType* sort_order
    )

#### Description [src]

Gets the `position`‘th sort column and its associated sort order.

Use the `GtkSorter::changed` signal to get notified when sort columns change.

Available since: 4.10

#### Parameters

`position`

  Type: `guint`

  The position of the sort column to retrieve (0 for the primary sort column)

`sort_order`

  Type: `GtkSortType`

  Return location for the sort order.

  The argument will be set by the function.
  The caller of the method takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `GtkColumnViewColumn`

The `positions` sort column.

The data is owned by the instance.
The return value can be `NULL`.